AGENT_CONF=$CONFDIR/agent.conf
DRWEB32_INI=$CONFDIR/drweb.ini
ICAPD_INI=$CONFDIR/drweb-icapd.ini

DEFAULT_LICENSE_FILE=$CONFDIR/drweb32.key

KEY_SCRIPT_NAME=`basename $0`

SetKey() {
    IsKeyValid && return

    # Ask user for path to the key.
    #
    while true ; do
        printf "Enter path to the Dr.Web license key file or '0' to skip: "
        read file
        echo
        [ -z "$file" ] && continue
        [ "$file" = "0" ] && break
        if [ -f "$file" ] ; then
            # Check the key.
            if IsKeyValid "$file" ; then
                true
            else
                echo "Wrong key!"
                echo
                continue
            fi

            # Check for clean install (default license file is absent on disk).
            if [ -f "$DEFAULT_LICENSE_FILE" ]; then
                true
            else
                # Add this license file under default name.
                cp -p -f "$file" $DEFAULT_LICENSE_FILE
            fi

            break
        else
	    echo "`eval_gettext \"Specified path to key file is invalid. Try again, please.\"`"
        fi
    done
}

IsKeyValid() {
   retval=0
   return $retval
}
